hidden {shinyjs} | R Documentation

## Initialize a Shiny tag as hidden

### Description

Create a Shiny tag that is invisible when the Shiny app starts. The tag can be made visible later with `shinyjs::toggle` or `shinyjs::show`.

### Usage

    hidden(...)

### Arguments

`...` | Shiny tag (or tagList or list of of tags) to make invisible

### Value

The tag (or tags) that was given as an argument in a hidden state.

### Note

`shinyjs` must be initialized with a call to `useShinyjs()` in the app's ui.

### See Also

`useShinyjs`, `toggle`, `show`, `hide`

### Examples

    if (interactive()) {
      library(shiny)
      shinyApp(
        ui = fluidPage(
          useShinyjs(),  # Set up shinyjs
          actionButton("btn", "Click me"),
          hidden(
            p(id = "element", "I was born invisible")
          )
        ),
        server = function(input, output) {
          observeEvent(input$btn, {
            show("element")
          })
        }
      )
    }

    library(shiny)
    hidden(span(id = "a"), div(id = "b"))
    hidden(tagList(span(id = "a"), div(id = "b")))
    hidden(list(span(id = "a"), div(id = "b")))

[Package shinyjs version 0.8 Index]